=== debian/changelog ===
axiom (20100701-1.1) testing; urgency=medium

  * Non-maintainer upload.
  * axiom-tex.postrm:  Call texhash on purge only if it's still available
    (Closes: #604217)
  * Set urgency high due to RC bug fix; upload to testing as unstable
    already has a newer version

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Tue, 23 Nov 2010 12:45:28 +0100

axiom (20100701-1) unstable; urgency=high

  * New upstream release
  * texlive-pstricks build-dep
  * TESTSET:=catstests in Makefile.pamphlet to match shipped Makefile
  * newer standards

 -- Camm Maguire <camm@debian.org>  Mon, 26 Jul 2010 18:13:20 +0000

axiom (20100501-2) unstable; urgency=low

  * sgc support

 -- Camm Maguire <camm@debian.org>  Tue, 20 Jul 2010 15:16:15 +0000
