=== debian/changelog ===
axiom (20100901-5) unstable; urgency=low

  * build-depend on latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 06 Nov 2010 11:48:19 +0000

axiom (20100901-4) unstable; urgency=low

  * Bug fix: "FTBFS on mips/mipsel: assertion ovchks(v, ~m) on line 129 of
    sfaslelf.c in function store_vals failed", thanks to Cyril Brulebois
    (Closes: #599949).  Build dep on latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 20 Oct 2010 21:50:59 +0000

axiom (20100901-3) unstable; urgency=low

  * Bug fix: "FTBFS on alpha: […]/int/algebra/ATTREG.nrlib/code.o&#39;: No
    such file or directory", thanks to Cyril Brulebois (Closes: #598761).

 -- Camm Maguire <camm@debian.org>  Sat, 02 Oct 2010 13:17:15 +0000

axiom (20100901-2) unstable; urgency=low

  * patch pixmap.c.pamphlet to fix non-native-reloc builds
  * build-dep latest gcl to fix build on alpha

 -- Camm Maguire <camm@debian.org>  Tue, 28 Sep 2010 16:46:38 +0000

axiom (20100901-1) unstable; urgency=low

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Sun, 26 Sep 2010 18:59:25 +0000
