=== debian/changelog ===
axiom (20110301a-1) unstable; urgency=low

  * Bug fix: "package purge (after dependencies removal) fails", thanks to
    Lucas Nussbaum (Closes: #606689).  Now use dh_installtex
  * Bug fix: "OpenMath C library doesn&#39;t allow commercial use", thanks
    to Sam Geeraerts (Closes: #630846).  Removed unused library
  * Bug fix: "axiom-tex should depends on texlive-binaries", thanks to
    Lucas Nussbaum (Closes: #604697).  Now use dh_installtex

 -- Camm Maguire <camm@debian.org>  Thu, 14 Jul 2011 19:02:46 +0000
