## axiom 20111101

=== debian/changelog ===
axiom (20111101-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "FTBFS: dpkg-buildpackage: error: dpkg-source -b
    axiom-20110301a gave error exit status 2", thanks to Didier Raboud
    (Closes: #643052).
  * make with  TESTSET=regresstests

 -- Camm Maguire <camm@debian.org>  Wed, 11 Jan 2012 19:47:43 +0000
