=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.7-87 ), libgmp3-dev, libncurses5-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks
+Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.7-87 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks
 Standards-Version: 3.9.1
 
 Package: axiom
