=== debian/rules ===
--- 
+++ 
@@ -95,7 +95,7 @@
 
 	export AXIOM=$(CURDIR)/mnt/linux ; \
 	export PATH=$$AXIOM/bin:$$PATH ; \
-	$(MAKE)
+	$(MAKE) TESTSET=regresstests
 
 	find mnt/linux -name bessintr.eps -exec rm {} \;
 	find mnt/linux -name htsearch -exec chmod 755 {} \;
