## axiom 20120301

=== debian/changelog ===
axiom (20120301-3) unstable; urgency=low

  * Apply upstream patch for 64bit scanToken issue
  * use quilt patches to replace older debian/patches_applied

 -- Camm Maguire <camm@debian.org>  Tue, 10 Apr 2012 17:55:54 +0000

axiom (20120301-2) unstable; urgency=low

  * Apply char= patch in scanToken

 -- Camm Maguire <camm@debian.org>  Mon, 09 Apr 2012 22:25:14 +0000

axiom (20120301-1) unstable; urgency=low

  * New upstream release
  * remove special NO_STRIP for ppc
  * Bug fix: "please try stripping binary on powerpc again", thanks to
    Jonathan Nieder (Closes: #645570).
  * Bug fix: "binutils: strip produces unusable binary, <a
    href="bugreport.cgi?bug=210923">210923", thanks to Frederic Lehobey
    (Closes: #210809).
  * Bug fix: "Compressed xhtml files", thanks to Ian Zimmerman (Closes:
    #623178).

 -- Camm Maguire <camm@debian.org>  Wed, 04 Apr 2012 20:46:29 +0000
